AlphaPremul
Alpha Composition

Premultiplies image pixels by image alpha opacity values. More...

## Functions

NppStatus | nppiAlphaPremul_8u_AC4R_Ctx (const Npp8u *pSrc1, int nSrc1Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel image premultiplication with pixel alpha (0 - max channel pixel value). More...
NppStatus | nppiAlphaPremul_8u_AC4R (const Npp8u *pSrc1, int nSrc1Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAlphaPremul_8u_AC4IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel in place image premultiplication with pixel alpha (0 - max channel pixel value). More...
NppStatus | nppiAlphaPremul_8u_AC4IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiAlphaPremul_16u_AC4R_Ctx (const Npp16u *pSrc1, int nSrc1Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel image premultiplication with pixel alpha (0 - max channel pixel value). More...
NppStatus | nppiAlphaPremul_16u_AC4R (const Npp16u *pSrc1, int nSrc1Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAlphaPremul_16u_AC4IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel in place image premultiplication with pixel alpha (0 - max channel pixel value). More...
NppStatus | nppiAlphaPremul_16u_AC4IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)

## Detailed Description

Premultiplies image pixels by image alpha opacity values.

## Function Documentation

NppStatus nppiAlphaPremul_16u_AC4IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAlphaPremul_16u_AC4IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel in place image premultiplication with pixel alpha (0 - max channel pixel value).

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremul_16u_AC4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAlphaPremul_16u_AC4R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel image premultiplication with pixel alpha (0 - max channel pixel value).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremul_8u_AC4IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAlphaPremul_8u_AC4IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel in place image premultiplication with pixel alpha (0 - max channel pixel value).

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremul_8u_AC4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAlphaPremul_8u_AC4R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel image premultiplication with pixel alpha (0 - max channel pixel value).

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2018 NVIDIA Corporation